Packages - Packaging Request #1991

[bisq] Supposed entirely libre/free bitcoin trading platform
2018-09-15 01:33 PM - ani

Status: not-a-bug % Done: 0%
Priority: wish

Assignee:

Category:

Description

| have researched in bisq and found out that the Git repo is doing funny stuff with downloading external things in the build script,
however the 0.8.0 source release does not do this which leads to my conclusion that the source release bundles these external
libraries and is thus GNU GPL compatible.

Log (expiring in 24 hours): https://pastebin.com/sPX2ejc1

This is the Git repo building script.

Related issues:
Related to Packages - Packaging Request #1481: [bisq] add to PCR wont-fix

History

#1 - 2018-09-15 03:15 PM - ovruni

- Priority changed from bug to wish

#2 - 2018-09-15 06:28 PM - freemor

Contnts of pastebin so they do not expire and so people don't have to deal with CloudFlare.

<pipp8> ‘"ani’, bisg is awesome.

<'ani'> pipp8: how so? it's proprietary.

<pipp8> “ani’, AGPL

<'ani'> pipp8: no, not entirely.

<'ani'> it downloads proprietary dependencies in the build script.

<pipp8> “ani’, which?

<'ani'> I can check.

<pipp8> “ani’, yes please, tell me because I love bisg but I didn't know it was using proprietary dep

<’ani'> there are some but I'm having trouble finding the .class stuff.
<‘ani'> org.bitcoinj.core I find. no source code included.

<'ani’'> no that one has sources.

< ani’> hmm.

<‘ani'> there are two .jar files in build/libs.

<" ani' > maybe they are contained there.

<'ani'> I'm compiling a new folder now.

<'ani'> I swear that it downloaded stuff before.

<" ani’'> maybe it was the Git repo that did it.

<'ani > it seems fine now with 0.8.0, no external downloads.

<pipp8> it cannot be gpl if there are proprietary deps.

<pipp8> so it is good.

<’ani'> you sure? there are gpl windows projects, lots of them.

<plipp8> ‘ani’, mmm pretty sure proprietary deps cannot be distribuited with the code.
<'ani'> that's why there are scripts.

<’ani'> I get the downloads now, will paste soon.

<ani'> although I see the light if 0.8.0 fetches nothing.

<'ani'> then it probably is GPL or similar dependencies.

#3 - 2018-09-15 06:36 PM - freemor
- File Bisqg-build.txt added

Not sure what you were looking at. For me a build of Bisq still pulls an insane amount of stuff. | certainly don't have time right now to check all those
licenses.. Perhaps a script could be written.

see: Bisqg-build.txt
https://pastebin.com/sPX2ejc1

#4 - 2018-09-15 06:40 PM - freemor

Considering

grep -c -1 google Bisg-build.txt
returns 84, is this something the OP really wants

#5 - 2018-09-15 06:44 PM - freemor

- File just the google_related ones.txt added

Adding a file with just the google related depends greped out, as that is probably a good place to start looking for bad things

#6 - 2018-09-15 08:31 PM - freemor

looking at the depends that get pulled this thing clearly interacts strongly with Google. Therefore, | think a Libre version would need to be created
before inclusion in Parabola. Am | correct on this?

#7 - 2018-09-16 02:00 AM - ani
freemor
If you build the 0.8.0 source release, what output do you get?

#8 - 2018-09-16 02:02 AM - freemor
if you take a look at the Bisg-build.txt you'll see I'm building 0.8.0

#9 - 2018-09-16 02:23 AM - ani

Just looking at "google cloud storage", it is included in a proprietary tool from Google called "Google Cloud Platform" and seems to be a proprietary
API according to Wikipedia.

#10 - 2018-09-16 02:25 AM - ani
Yeah you're building 0.8.0, from Git. When | built the release | got no prints about any external downloads which leads me to be extra careful now if it

downloads all of this stuff silently in the release.

#11 - 2018-09-16 02:27 AM - freemor
That is probably exactly what is happening

#12 - 2018-09-21 05:36 PM - freemor

- Status changed from open to not-a-bug

Marking this as invald due to the Google Cloud, Third party pulls, Licensing nightmare it would be.

#13 - 2022-09-14 07:48 PM - bill-auger
- Related to Packaging Request #1481: [bisq] add to PCR added

Files
Bisg-build.txt 49.6 KB 2018-09-15 freemor
just_the_google_related_ones.txt 9.38 KB 2018-09-15 freemor
